### Property

# Handy Squeezer:transition-type

since: 1.0

#### Declaration

    property transition-type: Handy.SqueezerTransitionType [ read, write ]

#### Description [src]

The type of animation used for transitions between children.

Available types include various kinds of fades and slides.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the child that is about to become current.

Type: | `HdySqueezerTransitionType`
Available since: | 1.0

Default value | HDY_SQUEEZER_TRANSITION_TYPE_NONE
Getter method | `hdy_squeezer_get_transition_type()`
Setter method | `hdy_squeezer_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no